Package org.apache.calcite.avatica.proto

## Interface Responses.ExecuteBatchResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `Responses.ExecuteBatchResponse`, `Responses.ExecuteBatchResponse.Builder`

Enclosing class:
  Responses

    public static interface Responses.ExecuteBatchResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getConnectionId()` `string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `string connection_id = 1;`
`Responses.RpcMetadata` `getMetadata()` `.RpcMetadata metadata = 5;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `.RpcMetadata metadata = 5;`
`boolean` `getMissingStatement()` Did the request fail because of no-cached statement
`int` `getStatementId()` `uint32 statement_id = 2;`
`long` `getUpdateCounts​(int index)` `repeated uint64 update_counts = 3;`
`int` `getUpdateCountsCount()` `repeated uint64 update_counts = 3;`
`java.util.List<java.lang.Long>` `getUpdateCountsList()` `repeated uint64 update_counts = 3;`
`boolean` `hasMetadata()` `.RpcMetadata metadata = 5;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getConnectionId

    java.lang.String getConnectionId()

`string connection_id = 1;`

#### getConnectionIdBytes

    com.google.protobuf.ByteString getConnectionIdBytes()

`string connection_id = 1;`

#### getStatementId

    int getStatementId()

`uint32 statement_id = 2;`

#### getUpdateCountsList

    java.util.List<java.lang.Long> getUpdateCountsList()

`repeated uint64 update_counts = 3;`

#### getUpdateCountsCount

    int getUpdateCountsCount()

`repeated uint64 update_counts = 3;`

#### getUpdateCounts

    long getUpdateCounts​(int index)

`repeated uint64 update_counts = 3;`

#### getMissingStatement

    boolean getMissingStatement()

     Did the request fail because of no-cached statement

`bool missing_statement = 4;`

#### hasMetadata

    boolean hasMetadata()

`.RpcMetadata metadata = 5;`

#### getMetadata

    Responses.RpcMetadata getMetadata()

`.RpcMetadata metadata = 5;`

#### getMetadataOrBuilder

    Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`.RpcMetadata metadata = 5;`